Debian Bug report logs - #572117
kernel-package: please, add support for uboot images (uimage)

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Hector Oron <zumbi@debian.org>

Date: Mon, 1 Mar 2010 17:09:01 UTC

Severity: wishlist

Found in version kernel-package/12.032

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Mon, 01 Mar 2010 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 01 Mar 2010 17:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-package: please, add support for uboot images (uimage)
Date: Mon, 01 Mar 2010 18:06:23 +0100
Package: kernel-package
Version: 12.032
Severity: wishlist


Hello Manoj,

 Thanks for such a great tool. I am learning how to use it and it is great :-)
 I have been trying to cross compile a kernel, and it creates the .deb, but I found out that uImage (uboot native images) are not supported (or at least documented on make-kpkg manpages). I am not sure if there is any reason for not supporting those (flash-kernel might have part of the blame), but I am asking here if you could provide uImage support.

 Let me know if you need help, a patch or something.

Thanks,
  -- Hector Oron


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-vserver-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kernel-package depends on:
ii  binutils                      2.20-5     The GNU assembler, linker and bina
ii  build-essential               11.4       Informational list of build-essent
ii  debianutils                   3.2.2      Miscellaneous utilities specific t
ii  file                          5.04-1     Determines file type using "magic"
ii  gettext                       0.17-9     GNU Internationalization utilities
ii  make                          3.81-7     An utility for Directing compilati
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo
ii  po-debconf                    1.0.16     tool for managing templates file t
ii  util-linux                    2.16.2-0   Miscellaneous system utilities

Versions of packages kernel-package recommends:
ii  cpio                          2.10-1     GNU cpio -- a program to manage ar

Versions of packages kernel-package suggests:
pn  btrfs-tools               <none>         (no description available)
ii  bzip2                     1.0.5-4        high-quality block-sorting file co
pn  docbook-utils             <none>         (no description available)
ii  e2fsprogs                 1.41.9-1       ext2/ext3/ext4 file system utiliti
ii  grub                      0.97-56        GRand Unified Bootloader (dummy pa
ii  grub-legacy [grub]        0.97-60        GRand Unified Bootloader (Legacy v
ii  initramfs-tools [linux-in 0.93.4         tools for generating an initramfs
pn  jfsutils                  <none>         (no description available)
ii  libncurses5-dev [libncurs 5.7+20090803-2 developer's libraries and docs for
ii  linux-source-2.6.32 [linu 2.6.32-7       Linux kernel source for version 2.
pn  mcelog                    <none>         (no description available)
pn  oprofile                  <none>         (no description available)
pn  pcmciautils               <none>         (no description available)
pn  ppp                       <none>         (no description available)
ii  procps                    1:3.2.8-2      /proc file system utilities
pn  quota                     <none>         (no description available)
pn  reiserfsprogs             <none>         (no description available)
pn  squashfs-tools            <none>         (no description available)
ii  udev                      150-2          /dev/ and hotplug management daemo
pn  xfsprogs                  <none>         (no description available)
ii  xmlto                     0.0.23-2       XML-to-any converter

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Mon, 01 Mar 2010 17:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 01 Mar 2010 17:33:09 GMT) Full text and rfc822 format available.

Message #10 received at 572117@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 572117@bugs.debian.org
Subject: kernel-package: extra info on uImage
Date: Mon, 1 Mar 2010 18:29:21 +0100
Hello Manoj,

I just wanted to add as a quick reply some extra information I have
found in the archive referring to latest wishlist bug report on
kernel-package.

uboot-mkimage package could be used to accomplish what I would like to
have. Maybe kernel-package can use this other package for uImage
generation... :-?

Package: uboot-mkimage
Description: generate kernel image for U-Boot
 This package contains the mkimage utility, which encapsulates a compressed
 "uImage" Linux kerel image with header information, CRC32 checksum, etc,
 for use with the U-Boot bootloader.
 .
 mkimage can also be used to create ramdisk images for use
 with U-Boot, either separated from the Linux kernel image, or
 combined into one file. mkimage encapsulates the images with a 64
 byte header containing information about target architecture,
 operating system, image type, compression method, entry points, time
 stamp, CRC32 checksums, etc.
Tag: admin::boot, implemented-in::c, role::program


-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Sat, 13 Mar 2010 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@acm.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sat, 13 Mar 2010 06:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 572117@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@acm.org>
To: Hector Oron <zumbi@debian.org>
Cc: 572117@bugs.debian.org
Subject: Re: Bug#572117: kernel-package: please, add support for uboot images (uimage)
Date: Fri, 12 Mar 2010 22:23:01 -0800
On Mon, Mar 01 2010, Hector Oron wrote:

>  Thanks for such a great tool. I am learning how to use it and it is
>  great :-) I have been trying to cross compile a kernel, and it
>  creates the .deb, but I found out that uImage (uboot native images)
>  are not supported (or at least documented on make-kpkg manpages). I
>  am not sure if there is any reason for not supporting those
>  (flash-kernel might have part of the blame), but I am asking here if
>  you could provide uImage support.
>
>  Let me know if you need help, a patch or something.

        I have no knowledge about uBoot images, nor any means of testing
 such an image. I'll be happy to include tested patches, though.

        manoj
-- 
"Louis Pasteur's theory of germs is ridiculous fiction". Pierre Pachet,
Professor of Physiology at Toulouse, 1872
Manoj Srivastava <srivasta@acm.org> <http://www.golden-gryphon.com/>  
4096R/C5779A1C E37E 5EC5 2A01 DA25 AD20  05B6 CF48 9438 C577 9A1C




Reply sent to Hector Oron <hector.oron@gmail.com>:
You have taken responsibility. (Tue, 20 Apr 2010 15:51:05 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Tue, 20 Apr 2010 15:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 572117-done@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 572117-done@bugs.debian.org
Subject: kernel-package: please (don't) add support for uboot images
Date: Tue, 20 Apr 2010 17:50:38 +0200
Hello Manoj,

  Thanks for your valuable attention. What I would like to do, is done
currently by other package "flash-kernel"[1] which sets a hook to be
able to provide images in uboot format.
  Right now, I am not sure which would be more correct, having that
hook or enhace kernel-package with this feature. Like we are busy
people and we do not have any need at the moment my best guess is to
close this bug report until there is real need.

Best wishes

[1] http://packages.debian.org/source/sid/flash-kernel

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 May 2010 07:32:28 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 15:42:09 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Aug 2010 15:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Wed, 25 Aug 2010 17:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 25 Aug 2010 17:36:03 GMT) Full text and rfc822 format available.

Message #31 received at 572117@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Manoj Srivastava <srivasta@acm.org>
Cc: 572117@bugs.debian.org
Subject: Re: Bug#572117: kernel-package: please, add support for uboot images (uimage)
Date: Wed, 25 Aug 2010 18:32:49 +0100
Hello Manoj,

2010/3/13 Manoj Srivastava <srivasta@acm.org>:
>        I have no knowledge about uBoot images, nor any means of testing
>  such an image. I'll be happy to include tested patches, though.

  While `flash-kernel' has such ability of calling mkimage for uboot
image generation, it might be useful to provide such mechanism on
`kernel-package' as well.

  Basically, on upstream terms, we call:
   make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi menuconfig
   make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi uImage

  I had a glance to `kernel-package' source and I might attempt to
patch it to support kernel_uimage option, but as you have more
knowledge on this tool, maybe you could provide a snipet so I could
test.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Thu, 24 May 2012 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Bradford <andrew@bradfordembedded.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Thu, 24 May 2012 20:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 572117@bugs.debian.org (full text, mbox):

From: Andrew Bradford <andrew@bradfordembedded.com>
To: 572117@bugs.debian.org
Subject: Re: Bug#572117: kernel-package: please, add support for uboot images (uimage)
Date: Thu, 24 May 2012 15:57:02 -0400
Hector / Manoj,

Has any progress been made on this?
There was mention of patches but I've not been able to find any in a
quick search.

I'm no Perl expert, but would patches for adding uImage ability to
kernel-package still be welcomed?  I personally would very much like
this ability.  The `flash-kernel` package doesn't look to do the
actions I would like, mainly making a kernel.deb with a uImage instead
of z(bz)Image.

Thanks,
Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Thu, 31 May 2012 13:36:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Bradford <andrew@bradfordembedded.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Thu, 31 May 2012 13:36:44 GMT) Full text and rfc822 format available.

Message #41 received at 572117@bugs.debian.org (full text, mbox):

From: Andrew Bradford <andrew@bradfordembedded.com>
To: 572117@bugs.debian.org
Cc: hector.oron@gmail.com, srivasta@acm.org, ben@decadent.org.uk
Subject: Debian "kernel-package" proper source repo?
Date: Thu, 31 May 2012 09:35:53 -0400
Where can I find the proper source or repository to create a patch for
the Debian "kernel-package" package?

I'm looking to use the Debian package called "kernel-package" to build
a .deb containing a u-boot compatible uImage for the arm platform.  I've
found (and responded to) bug 572117 [1] indicating that I'm interested
in creating a patch to add this ability and I've started work on the
patch.

[1]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572117

In my attempt to create a patch to add uImage ability, I found that the
Debian QA system [2] links to a git repo [3], but the code within the
git repo is not what ships with Debian Squeeze via the source packages
for "kernel-package". The latest tagged version in the git repo is
12.035 but even Squeeze ships with 12.036+nmu1, testing has 
12.036+nmu2.  Both appear to come from Launchpad.

[2]: http://packages.qa.debian.org/k/kernel-package.html
[3]:
http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git

Ubuntu's Launchpad appears to have the source used in Squeeze and
testing [4] along with recent Ubuntu releases.  The Bazzar rev 15
appears to coincide with the git tag for v12.035, but I've not
confirmed this in detail.

[4]: https://launchpad.net/ubuntu/+source/kernel-package

Since the Debian QA system links to the git repo, that's where I
started my patch from, but after reviewing the changes made in the +nmu
packages and Launchpad, I feel it would be better to base my work there.
It's all a bit confusing as to what source is actually being used to
build the "kernel-package" package that ship with Debian.

Can someone please clarify it for me so I can create a patch that has a
good chance of being accepted?

If the git repo is not the proper location for "kernel-package" source
now, can the Debian QA system be updated to reflect this?

Thanks,
Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#572117; Package kernel-package. (Tue, 18 Dec 2012 14:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Bradford <andrew@bradfordembedded.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Tue, 18 Dec 2012 14:33:09 GMT) Full text and rfc822 format available.

Message #46 received at 572117@bugs.debian.org (full text, mbox):

From: Andrew Bradford <andrew@bradfordembedded.com>
To: 572117@bugs.debian.org
Subject: Patch to build uImage kernels for ARM on v12.036+nmu3
Date: Tue, 18 Dec 2012 09:30:50 -0500
[Message part 1 (text/plain, inline)]
Git format-patch style patch attached.  This is an updated version of a
patch previously sent to the kernel-package@packages.debian.org list.

Tested cross building a 3.2.20 kernel for a beagleboard.org
BeagleBone on a Squeeze host and upgrading from 3.2.0 to 3.2.20 with
dpkg on Squeeze armel target.

Should apply cleanly to v12.036+nmu3 with 'patch -p1 < patchname'

Sorry for my previous bone-headed email.

Thanks,
Andrew
[0001-Allow-creation-of-uImage-kernels-for-u-boot-on-ARM.patch (text/x-patch, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:18:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.